This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262564 - Add private browsing action to Firefox desktop file
Add private browsing action to Firefox desktop file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-12 17:25 EDT by Dan Doel
Modified: 2016-07-19 16:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:13:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Doel 2015-09-12 17:25:21 EDT
Gnome shell has the ability to have multiple actions associated with an icon, available via right click. However, the firefox desktop file doesn't have any extra actions defined. It'd be handy to have an action that launched a new private window, as the only way to create a private window now (via the gui) is to open a normal window and use a menu there.

This can be added by:

1) Adding an Actions entry to the main section:

    Actions=new-private-window;

2) Defining a section for that action:

    [Desktop Action new-private-window]
    Name=New Private Window
    Exec=firefox --private-window %u

I'm afraid I don't have the ability to translate the name into all the languages otherwise used in the desktop file.

The above will achieve a result similar to the epiphany desktop file. Another possibility is to mimic the gedit desktop file:

    Actions=new-window;new-private-window;

    [Desktop Action new-window]
    Name=Open a New Window
    Exec=firefox %u

    [Desktop Action new-private-window]
    Name=Open a New Private Window
    Exec=firefox --private-window %u

This groups the two 'new window' actions more closely for some reason (the new-window action appears to override the default "New Window" action).
Comment 1 Martin Stransky 2015-10-14 06:28:58 EDT
Peter, can you look at it please? Also please check if that's compatible with other DE, like KDE/Mate/xfce.
Comment 3 Fedora End Of Life 2016-07-19 16:13:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.